Jump to content
Strawberry Orange Banana Lime Leaf Slate Sky Blueberry Grape Watermelon Chocolate Marble
Strawberry Orange Banana Lime Leaf Slate Sky Blueberry Grape Watermelon Chocolate Marble

MSFN is made available via donations, subscriptions and advertising revenue. The use of ad-blocking software hurts the site. Please disable ad-blocking software or set an exception for MSFN. Alternatively, register and become a site sponsor/subscriber and ads will be disabled automatically. 


roytam1

My browser builds (part 2)

Recommended Posts

semi-OT: finally got my firefox55norust creating working build, by specifying `--disable-sandbox' switch in .mozconfig. maybe finally I can revert all XP+ only commits and creating a working XP 56-ish build.

2WpfIy8.png

  • Like 6
  • Upvote 3

Share this post


Link to post
Share on other sites

4 hours ago, 3dreal said:

psl rectify since i completed all  3 installed browsers.

2. it seems i have here a Firefox-chaos.  FF 45.9.18 blue Icon, FF 45.3.0.6050 orange. when blue is open if i click orange the very same blue will be opened in a new window.
do i have to first close one version? or do i have to use a fresh profile? newer changed them but did resets.
 

Sorry for the double post.

Since you have installed all the browsers, you must use the 45 ESR version of the Patch + Enforcer with Firefox 45 ESR SSE and SeaMonkey.

With Basilisk/Serpent/New Moon 28, you must use the 52 ESR/New Moon 28 version of the Patch + the 45 ESR Enforcer. The next version of the patch, of which the release is imminent, will eliminate the New Moon 28 version as I am going to release the 52 ESR version without E10S.

With New Moon 27 and K-Meleon Goanna, you must use the 38 ESR version of the Patch + Enforcer.

  

2 hours ago, roytam1 said:

semi-OT: finally got my firefox55norust creating working build, by specifying `--disable-sandbox' switch in .mozconfig. maybe finally I can revert all XP+ only commits and creating a working XP 56-ish build.

Could an IA-32 version be possible, much like how you are doing with SSErpent? ;)

Edited by looking4awayout
  • Like 1

Share this post


Link to post
Share on other sites
On 12/8/2019 at 3:09 AM, dencorso said:

After more than one month without updating Serpent 52, I decided it was time to do so... and, after installing the latest binaries (basilisk52-g4.4.win32-git-20191207-2529b2ede-xpmod) I found out CNN.com's videos weren't playing anymore. Then I went to the previous version and so on, until I got to basilisk52-g4.4.win32-git-20191116-3492ad652-xpmod, which works as expected. I'm astonished: hasn't anyone reported any issues till now?  I'm reporting an issue which prevents both videos at cnn.com (try: https://edition.cnn.com/2019/12/07/asia/beijing-pets-cat-dogs-intl-hnk/index.html) as well as most videos on twitter, and I found it out less than one hour ago! :unsure::dubbio:

On 12/10/2019 at 12:02 AM, VistaLover said:

Most unfortunately, I can reproduce :( ; and it isn't only the Adobe Primetime CDM affected, as reported by @dencorso, but also the Widevine CDM too, which is installed and visible under Vista+; Widevine CDM v1.4.9.1088 is currently broken since August 13th 2019, due to Google changes - effort is underway by MCP to restore Widevine support in official Basilisk ( see here ), which is currently hitting a deadend, but any success won't benefit Vista users of Serpent, as updated Widevine DLLs don't run on Vista and require Win7+; still, having a working implementation of WV on Serpent would certainly benefit St users on Win7+ :yes:

I normally don't have Adobe Primetime CDM (APCDM) installed in my Serpent 52 profile, but to humour @dencorso I did correctly install it (v17) and made sure I disabled the other h264/aac decoders:
media.wmf.enabled;false (Vista's native WMF decoder)
media.ffvpx.enabled;false (Serpent's bundled FFmpeg decoder)

while I made sure media.gmp.decoder.enabled;true (APCDM's decoder)

Widevine CDM (WVCDM) v1.4.9.1088 is also correctly installed.

Extended testing reveals that:

A. 2019-11-15 Serpent win32 build is the last good build [...]

@roytam1: can you please kindly fix that? :angel:unsure:

 

  • Upvote 1

Share this post


Link to post
Share on other sites
5 hours ago, looking4awayout said:

Just delete everything related to the "official" Firefox. You can even delete the entire folder altogether (in my experience, you don't need to install the "official" Firefox to use Roytam1's 45 ESR SSE) just extract the 7z archive wherever you want and you can use the browser. Never mix the folders or else you'll end up with the same issue you are facing now. On my RDD, instead of installing the official one, I just have extracted the 7z, placed the new browser's folder in C:\Program Files\ and presto, runs without issues.


1. I did that when installer didnt work. had a FF45ESRSSE-folder with all version. blue version

2.. 45.3.0 ESR orange-version with the german addon 45.9.0 which it wants to be checked is deactivated but i have german. ??? you told deleting profile. running a fresh one. never done.
so i will delete this version altogether.
 

Share this post


Link to post
Share on other sites

Yes, delete the "official" Firefox altogether and just leave Roytam1's version.

In order to delete the profile, you will need to make a shortcut to the Firefox executable, go in the properties, and add the key "-p" to the end of the path in the properties. This will let you open the Profile Manager, where you can delete and create a new profile, and set it as default. Once done, just delete the shortcut or rename it to "Profile Manager" and make a new shortcut without the "-p" key.

Share this post


Link to post
Share on other sites
2 hours ago, win32 said:

No rust involved, but it sounds like a firefox 56-style build may come to XP.

it's getting harder to solve google captchas with his Serpent 52 version @roytam1

I don't understand why most sites might think we are a bot with Firefox based browsers

how can I download this xpi file ? https://addons.mozilla.org/es/firefox/addon/buster-captcha-solver/

 

 

 

Share this post


Link to post
Share on other sites
7 minutes ago, caliber said:

it's getting harder to solve google captchas with his Serpent 52 version @roytam1

I don't understand why most sites might think we are a bot with Firefox based browsers

how can I download this xpi file ? https://addons.mozilla.org/es/firefox/addon/buster-captcha-solver/

It may work if you use his Serpent 55 build. The thread for his browsers is probably a better place to discuss this issue though.

Google's AI probably thinks that every 2000/XP machine in the world has been hijacked by botnets.

Share this post


Link to post
Share on other sites
8 minutes ago, win32 said:

It may work if you use his Serpent 55 build.

Nope. his S55 @roytam1 doesn't support this addon and as I have mentioned elsewhere sometimes it works and sometimes it doesn't thus I stick with the S52

Yeah. I feel the same and any XP machine is detected as a bot.

what I don't understand is the captcha's algorythm, in some sites it's pretty easy to solve and with other sites it's a true agony

 

 

Share this post


Link to post
Share on other sites
55 minutes ago, caliber said:

it's getting harder to solve google captchas with his Serpent 52 version @roytam1

you may turn on firefox compat mode to see if problem persists.

  • Like 1

Share this post


Link to post
Share on other sites
1 hour ago, roytam1 said:

you may turn on firefox compat mode to see if problem persists.

it was already ON

 

Share this post


Link to post
Share on other sites
7 minutes ago, caliber said:

it was already ON

 

don't turn everything on as it will look so suspicious.

only change these:

general.useragent.compatMode = 2
general.useragent.compatMode.firefox = true
general.useragent.compatMode.gecko = true

and reset other general.useragent.compatMode.* settings.

Share this post


Link to post
Share on other sites
On 12/10/2019 at 11:42 AM, Sampei.Nihira said:

The last build is 2019-12-06:

Please check if this build also has these problems.

The phoning back to PM from mailnews stopped. Thanks!.

Share this post


Link to post
Share on other sites

I tried basilisk52-g4.4.win32-git-20191207 and noticed that unsigned add-ons like kill_sticky-1.4-an+fx.xpi become disabled.

user_pref("xpinstall.signatures.required", false) is set

The same add-ons work fine in FF52 and only show "not verified".

Can it be fixed in Serpent?

 


 

Share this post


Link to post
Share on other sites
4 hours ago, XP2019 said:

I tried basilisk52-g4.4.win32-git-20191207 and noticed that unsigned add-ons like kill_sticky-1.4-an+fx.xpi become disabled.

user_pref("xpinstall.signatures.required", false) is set

The same add-ons work fine in FF52 and only show "not verified".

Can it be fixed in Serpent?

 


 

UXP has different blocklist than firefox.

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now

  • Recently Browsing   0 members

    No registered users viewing this page.

×
×
  • Create New...